diff --git a/pidgin/resources/Prefs/prefs.ui b/pidgin/resources/Prefs/prefs.ui
--- a/pidgin/resources/Prefs/prefs.ui
+++ b/pidgin/resources/Prefs/prefs.ui
@@ -750,8 +747,8 @@
                                     <child>
                                       <object class="GtkSpinButton" id="conversations.custom_smileys_size">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="input_purpose">number</property>
+                                        <property name="can-focus">True</property>
+                                        <property name="input-purpose">number</property>
                                         <property name="adjustment">conversations.custom_smiley_size.adjustment</property>
                                         <property name="numeric">True</property>
                                       </object>
@@ -771,12 +768,12 @@
                                 <child>
                                   <object class="GtkBox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkLabel">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">Minimum input area height in lines:</property>
                                       </object>
                                       <packing>
@@ -788,8 +785,8 @@
                                     <child>
                                       <object class="GtkSpinButton" id="conversations.minimum_entry_lines">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="input_purpose">digits</property>
+                                        <property name="can-focus">True</property>
+                                        <property name="input-purpose">digits</property>
                                         <property name="adjustment">conversations.minimum_entry_lines.adjustment</property>
                                         <property name="numeric">True</property>
                                       </object>
@@ -813,7 +810,7 @@
                         <child type="label">
                           <object class="GtkLabel">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
+                            <property name="can-focus">False</property>
                             <property name="label" translatable="yes">Conversations</property>
                             <attributes>
                               <attribute name="weight" value="bold"/>
@@ -829,28 +826,28 @@
                     </child>
                     <child>
                       <object class="GtkFrame" id="conversations.font_frame">
-                        <property name="can_focus">False</property>
-                        <property name="label_xalign">0</property>
-                        <property name="shadow_type">none</property>
+                        <property name="can-focus">False</property>
+                        <property name="label-xalign">0</property>
+                        <property name="shadow-type">none</property>
                         <child>
                           <object class="GtkAlignment">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
-                            <property name="left_padding">12</property>
+                            <property name="can-focus">False</property>
+                            <property name="left-padding">12</property>
                             <child>
                               <object class="GtkBox">
                                 <property name="visible">True</property>
-                                <property name="can_focus">False</property>
+                                <property name="can-focus">False</property>
                                 <property name="orientation">vertical</property>
                                 <property name="spacing">6</property>
                                 <child>
                                   <object class="GtkCheckButton" id="conversations.use_theme_font">
                                     <property name="label" translatable="yes">Use font from _theme</property>
                                     <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="receives_default">False</property>
-                                    <property name="use_underline">True</property>
-                                    <property name="draw_indicator">True</property>
+                                    <property name="can-focus">True</property>
+                                    <property name="receives-default">False</property>
+                                    <property name="use-underline">True</property>
+                                    <property name="draw-indicator">True</property>
                                     <signal name="toggled" handler="apply_custom_font" object="PidginPrefsWindow" swapped="no"/>
                                   </object>
                                   <packing>
@@ -862,14 +859,14 @@
                                 <child>
                                   <object class="GtkBox" id="conversations.custom_font_hbox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkLabel">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">Conversation _font:</property>
-                                        <property name="use_underline">True</property>
+                                        <property name="use-underline">True</property>
                                       </object>
                                       <packing>
                                         <property name="expand">False</property>
@@ -880,10 +877,10 @@
                                     <child>
                                       <object class="GtkFontButton" id="conversations.custom_font">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="receives_default">True</property>
+                                        <property name="can-focus">True</property>
+                                        <property name="receives-default">True</property>
                                         <property name="font">Sans 12</property>
-                                        <property name="preview_text"/>
+                                        <property name="preview-text"/>
                                         <signal name="font-set" handler="pidgin_custom_font_set" object="PidginPrefsWindow" swapped="no"/>
                                       </object>
                                       <packing>
@@ -906,7 +903,7 @@
                         <child type="label">
                           <object class="GtkLabel">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
+                            <property name="can-focus">False</property>
                             <property name="label" translatable="yes">Font</property>
                             <attributes>
                               <attribute name="weight" value="bold"/>
@@ -923,18 +920,18 @@
                     <child>
                       <object class="GtkFrame">
                         <property name="visible">True</property>
-                        <property name="can_focus">False</property>
-                        <property name="label_xalign">0</property>
-                        <property name="shadow_type">none</property>
+                        <property name="can-focus">False</property>
+                        <property name="label-xalign">0</property>
+                        <property name="shadow-type">none</property>
                         <child>
                           <object class="GtkAlignment">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
-                            <property name="left_padding">12</property>
+                            <property name="can-focus">False</property>
+                            <property name="left-padding">12</property>
                             <child>
                               <object class="GtkBox" id="conversations.sample_box">
                                 <property name="visible">True</property>
-                                <property name="can_focus">False</property>
+                                <property name="can-focus">False</property>
                                 <property name="orientation">vertical</property>
                                 <child>
                                   <object class="TalkatuEditor">
@@ -965,8 +962,8 @@
                                     </child>
                                     <child internal-child="send_button">
                                       <object class="GtkButton">
-                                        <property name="can_focus">False</property>
-                                        <property name="receives_default">False</property>
+                                        <property name="can-focus">False</property>
+                                        <property name="receives-default">False</property>
                                       </object>
                                       <packing>
                                         <property name="fill">False</property>
@@ -986,7 +983,7 @@
                         <child type="label">
                           <object class="GtkLabel">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
+                            <property name="can-focus">False</property>
                             <property name="label" translatable="yes">Default Formatting</property>
                             <attributes>
                               <attribute name="weight" value="bold"/>
@@ -1010,39 +1007,39 @@
                 <child>
                   <object class="GtkBox" id="logging.page">
                     <property name="visible">True</property>
-                    <property name="can_focus">False</property>
-                    <property name="border_width">12</property>
+                    <property name="can-focus">False</property>
+                    <property name="border-width">12</property>
                     <property name="orientation">vertical</property>
                     <property name="spacing">18</property>
                     <child>
                       <object class="GtkFrame">
                         <property name="visible">True</property>
-                        <property name="can_focus">False</property>
-                        <property name="label_xalign">0</property>
-                        <property name="shadow_type">none</property>
+                        <property name="can-focus">False</property>
+                        <property name="label-xalign">0</property>
+                        <property name="shadow-type">none</property>
                         <child>
                           <object class="GtkAlignment">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
-                            <property name="left_padding">12</property>
+                            <property name="can-focus">False</property>
+                            <property name="left-padding">12</property>
                             <child>
                               <object class="GtkBox">
                                 <property name="visible">True</property>
-                                <property name="can_focus">False</property>
+                                <property name="can-focus">False</property>
                                 <property name="orientation">vertical</property>
                                 <property name="spacing">6</property>
                                 <child>
                                   <object class="GtkBox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkLabel">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">Log _format:</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="mnemonic_widget">logging.format.combo</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="mnemonic-widget">logging.format.combo</property>
                                       </object>
                                       <packing>
                                         <property name="expand">False</property>
@@ -1053,7 +1050,7 @@
                                     <child>
                                       <object class="GtkComboBox" id="logging.format.combo">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="model">logging.format.store</property>
                                         <child>
                                           <object class="GtkCellRendererText"/>
@@ -1079,10 +1076,10 @@
                                   <object class="GtkCheckButton" id="logging.log_ims">
                                     <property name="label" translatable="yes">Log all _instant messages</property>
                                     <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="receives_default">False</property>
-                                    <property name="use_underline">True</property>
-                                    <property name="draw_indicator">True</property>
+                                    <property name="can-focus">True</property>
+                                    <property name="receives-default">False</property>
+                                    <property name="use-underline">True</property>
+                                    <property name="draw-indicator">True</property>
                                   </object>
                                   <packing>
                                     <property name="expand">False</property>
@@ -1094,10 +1091,10 @@
                                   <object class="GtkCheckButton" id="logging.log_chats">
                                     <property name="label" translatable="yes">Log all c_hats</property>
                                     <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="receives_default">False</property>
-                                    <property name="use_underline">True</property>
-                                    <property name="draw_indicator">True</property>
+                                    <property name="can-focus">True</property>
+                                    <property name="receives-default">False</property>
+                                    <property name="use-underline">True</property>
+                                    <property name="draw-indicator">True</property>
                                   </object>
                                   <packing>
                                     <property name="expand">False</property>
@@ -1109,10 +1106,10 @@
                                   <object class="GtkCheckButton" id="logging.log_system">
                                     <property name="label" translatable="yes">Log all _status changes to system log</property>
                                     <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="receives_default">False</property>
-                                    <property name="use_underline">True</property>
-                                    <property name="draw_indicator">True</property>
+                                    <property name="can-focus">True</property>
+                                    <property name="receives-default">False</property>
+                                    <property name="use-underline">True</property>
+                                    <property name="draw-indicator">True</property>
                                   </object>
                                   <packing>
                                     <property name="expand">False</property>
@@ -1127,7 +1124,7 @@
                         <child type="label">
                           <object class="GtkLabel">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
+                            <property name="can-focus">False</property>
                             <property name="label" translatable="yes">Logging</property>
                             <attributes>
                               <attribute name="weight" value="bold"/>
@@ -1151,39 +1148,39 @@
                 <child>
                   <object class="GtkBox" id="network.page">
                     <property name="visible">True</property>
-                    <property name="can_focus">False</property>
-                    <property name="border_width">12</property>
+                    <property name="can-focus">False</property>
+                    <property name="border-width">12</property>
                     <property name="orientation">vertical</property>
                     <property name="spacing">18</property>
                     <child>
                       <object class="GtkFrame">
                         <property name="visible">True</property>
-                        <property name="can_focus">False</property>
-                        <property name="label_xalign">0</property>
-                        <property name="shadow_type">none</property>
+                        <property name="can-focus">False</property>
+                        <property name="label-xalign">0</property>
+                        <property name="shadow-type">none</property>
                         <child>
                           <object class="GtkAlignment">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
-                            <property name="left_padding">12</property>
+                            <property name="can-focus">False</property>
+                            <property name="left-padding">12</property>
                             <child>
                               <object class="GtkBox">
                                 <property name="visible">True</property>
-                                <property name="can_focus">False</property>
+                                <property name="can-focus">False</property>
                                 <property name="orientation">vertical</property>
                                 <property name="spacing">6</property>
                                 <child>
                                   <object class="GtkBox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkLabel" id="label8">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">ST_UN server:</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="mnemonic_widget">network.stun_server</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="mnemonic-widget">network.stun_server</property>
                                       </object>
                                       <packing>
                                         <property name="expand">False</property>
@@ -1194,9 +1191,9 @@
                                     <child>
                                       <object class="GtkEntry" id="network.stun_server">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="placeholder_text" translatable="yes">Example: stunserver.org</property>
-                                        <property name="input_purpose">url</property>
+                                        <property name="can-focus">True</property>
+                                        <property name="placeholder-text" translatable="yes">Example: stunserver.org</property>
+                                        <property name="input-purpose">url</property>
                                         <signal name="focus-out-event" handler="network_stun_server_changed_cb" swapped="no"/>
                                       </object>
                                       <packing>
@@ -1216,10 +1213,10 @@
                                   <object class="GtkCheckButton" id="network.auto_ip">
                                     <property name="label" translatable="yes">Use _automatically detected IP address</property>
                                     <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="receives_default">False</property>
-                                    <property name="use_underline">True</property>
-                                    <property name="draw_indicator">True</property>
+                                    <property name="can-focus">True</property>
+                                    <property name="receives-default">False</property>
+                                    <property name="use-underline">True</property>
+                                    <property name="draw-indicator">True</property>
                                     <signal name="toggled" handler="auto_ip_button_clicked_cb" after="yes" swapped="no"/>
                                   </object>
                                   <packing>
@@ -1231,15 +1228,15 @@
                                 <child>
                                   <object class="GtkBox" id="network.public_ip_hbox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkLabel" id="label9">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">Public _IP:</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="mnemonic_widget">network.public_ip</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="mnemonic-widget">network.public_ip</property>
                                         <property name="xalign">0</property>
                                       </object>
                                       <packing>
@@ -1251,7 +1248,7 @@
                                     <child>
                                       <object class="GtkEntry" id="network.public_ip">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
+                                        <property name="can-focus">True</property>
                                         <signal name="changed" handler="network_ip_changed" swapped="no"/>
                                       </object>
                                       <packing>
@@ -1274,7 +1271,7 @@
                         <child type="label">
                           <object class="GtkLabel">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
+                            <property name="can-focus">False</property>
                             <property name="label" translatable="yes">IP Address</property>
                             <attributes>
                               <attribute name="weight" value="bold"/>
@@ -1291,28 +1288,28 @@
                     <child>
                       <object class="GtkFrame">
                         <property name="visible">True</property>
-                        <property name="can_focus">False</property>
-                        <property name="label_xalign">0</property>
-                        <property name="shadow_type">none</property>
+                        <property name="can-focus">False</property>
+                        <property name="label-xalign">0</property>
+                        <property name="shadow-type">none</property>
                         <child>
                           <object class="GtkAlignment">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
-                            <property name="left_padding">12</property>
+                            <property name="can-focus">False</property>
+                            <property name="left-padding">12</property>
                             <child>
                               <object class="GtkBox">
                                 <property name="visible">True</property>
-                                <property name="can_focus">False</property>
+                                <property name="can-focus">False</property>
                                 <property name="orientation">vertical</property>
                                 <property name="spacing">6</property>
                                 <child>
                                   <object class="GtkCheckButton" id="network.map_ports">
                                     <property name="label" translatable="yes">_Enable automatic router port forwarding</property>
                                     <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="receives_default">False</property>
-                                    <property name="use_underline">True</property>
-                                    <property name="draw_indicator">True</property>
+                                    <property name="can-focus">True</property>
+                                    <property name="receives-default">False</property>
+                                    <property name="use-underline">True</property>
+                                    <property name="draw-indicator">True</property>
                                   </object>
                                   <packing>
                                     <property name="expand">False</property>
